For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Platform
    • Introduction
    • Screenings
    • Immigration
  • Endpoints
      • GETGet business visa eligibility and requirements
      • GETGet immigration case details
      • GETGet specific immigration case details
      • GETImmigration document
      • GETImmigration visa types
      • GETList of immigration cases
      • GETList of immigration cases for workers
      • GETRetrieve a required document for a case
      • GETRetrieve onboarding right-to-work case for a worker
      • POSTUpload a required immigration document
LogoLogo
SupportDeel Home
EndpointsImmigration

Get immigration case details

GET
/immigration/client/cases/:id
GET
/rest/v2/immigration/client/cases/:id
$curl https://api.letsdeel.com/rest/v2/immigration/client/cases/e9b4ce94-2e3e-4d41-9faf-1ad2389cac1d \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "id": "5f5b3b3b-4b3b-4b3b-4b3b-4b3b3b3b3b3b",
4 "status": "OPEN",
5 "process": {
6 "id": "5f5b3b3b-4b3b-4b3b-4b3b-4b3b3b3b3b3b",
7 "name": "Document check",
8 "status": "In Review"
9 },
10 "applicant": {
11 "id": "5f5b3b3b-4b3b-4b3b-4b3b-4b3b3b3b3b3b",
12 "external_id": "123456"
13 },
14 "case_type": "Right to Work",
15 "documents": [
16 {
17 "id": "5f5b3b3b-4b3b-4b3b-4b3b-4b3b3b3b3b3b",
18 "status": "IN_REVIEW",
19 "document_type": "Eu blue card",
20 "expiration_date": "2023-10-31T13:45:30Z"
21 }
22 ],
23 "visa_type": "Eu blue card",
24 "country_code": "DE",
25 "last_update_at": "2023-10-31T13:45:30Z",
26 "case_created_at": "2023-10-31T13:45:30Z",
27 "estimated_completion_date": "2023-10-31T13:45:30Z"
28 }
29}

Retrieves the details of an immigration case by its case ID. Token scopes: immigration:read

Was this page helpful?
Previous

Get specific immigration case details

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

idstringRequired
Immigration case id

Response

Successful operation.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/